### Class

# Gtk EventControllerLegacy

#### Description [src]

    final class Gtk.EventControllerLegacy : Gtk.EventController {
      /* No available fields */
    }

`GtkEventControllerLegacy` is an event controller that provides raw access to the event stream.

It should only be used as a last resort if none of the other event controllers or gestures do the job.

#### Hierarchy

#### Ancestors

- GtkEventController
- GObject

#### Constructors

###### gtk_event_controller_legacy_new

Creates a new legacy event controller.

#### Signals

###### Gtk.EventControllerLegacy::event

Emitted for each GDK event delivered to `controller`.

#### Class structure

    struct GtkEventControllerLegacyClass {
      /* no available fields */
    }